CVE-2023-28366

Name
CVE-2023-28366
Description
The broker in Eclipse Mosquitto 1.3.2 through 2.x before 2.0.16 has a memory leak that can be abused remotely when a client sends many QoS 2 messages with duplicate message IDs, and fails to respond to PUBREC commands. This occurs because of mishandling of EAGAIN from the libc send function.
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://github.com/eclipse/mosquitto/commit/6113eac95a9df634fbc858be542c4a0456bfe7b9
MISC https://www.compass-security.com/fileadmin/Research/Advisories/2023_02_CSNC-2023-001_Eclipse_Mosquitto_Memory_Leak.txt
MISC https://github.com/eclipse/mosquitto/compare/v2.0.15...v2.0.16
CONFIRM https://mosquitto.org/blog/2023/08/version-2-0-16-released/
DEBIAN https://www.debian.org/security/2023/dsa-5511
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/KJ2FMBGVVQEQWTTQB7YLKTAHMX2UM66X/
cve@mitre.org https://security.gentoo.org/glsa/202401-09

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:eclipse:mosquitto:*:*:*:*:*:*:*:* mosquitto >= 1.3.2 < 2.0.16

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
mosquitto 3.17-main 2.0.15-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
mosquitto 3.16-main 2.0.14-r2 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
mosquitto 3.15-main 2.0.14-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable